Subject: Re: [PATCH net-next 0/8] mptcp: small improvements, fix and clean-ups

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 May 2024 16:06:30 -0700

On Fri, 10 May 2024 13:18:30 +0200 Matthieu Baerts (NGI0) wrote:
> This series contain mostly unrelated patches:
> 
> - The two first patches can be seen as "fixes". They are part of this
>   series for -next because it looks like the last batch of fixes for
>   v6.9 has already been sent. These fixes are not urgent, so they can
>   wait if an unlikely v6.9-rc8 is published. About the two patches:
>     - Patch 1 fixes getsockopt(SO_KEEPALIVE) support on MPTCP sockets
>     - Patch 2 makes sure the full TCP keep-alive feature is supported,
>       not just SO_KEEPALIVE.
> 
> - Patch 3 is a small optimisation when getsockopt(MPTCP_INFO) is used
>   without buffer, just to check if MPTCP is still being used: no
>   fallback to TCP.
> 
> - Patch 4 adds net.mptcp.available_schedulers sysctl knob to list packet
>   schedulers, similar to net.ipv4.tcp_available_congestion_control.
> 
> - Patch 5 and 6 fix CheckPatch warnings: "prefer strscpy over strcpy"
>   and "else is not generally useful after a break or return".
> 
> - Patch 7 and 8 remove and add header includes to avoid unused ones, and
>   add missing ones to be self-contained.

Seems to conflict with:
https://lore.kernel.org/all/20240509[email-masked]/
-- 
pw-bot: cr